Bug 1205622 (CVE-2015-1807)

Summary: CVE-2015-1807 jenkins: directory traversal from artifacts via symlink (SECURITY-162)
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bleanhar, ccoleman, dmcphers, java-sig-commits, jialiu, jkeck, joelsmith, jokerman, lmeyer, mmccomas, msrb
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20150227,reported=20150325,source=internet,cvss2=4/AV:N/AC:L/Au:S/C:P/I:N/A:N,cwe=CWE-59,fedora-all/jenkins=affected,openshift-enterprise-2/jenkins=affected,openshift-1/jenkins=affected
Fixed In Version: Jenkins 1.600, Jenkins 1.596.1 Doc Type: Bug Fix
Doc Text:
It was found that when building artifacts, the Jenkins server would follow symbolic links, potentially resulting in disclosure of information on the server.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-30 16:43:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1205637, 1205638, 1248781    
Bug Blocks: 1205634    

Description Vasyl Kaigorodov 2015-03-25 10:49:08 UTC
This vulnerability allows users with the job configuration privilege or users with commit access to the build script to access arbitrary files/directories on the master, resulting in the exposure of sensitive information, such as encryption keys.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-02-27

Comment 2 Vasyl Kaigorodov 2015-03-25 11:06:32 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1205637]

Comment 3 Fedora Update System 2015-04-18 09:44:02 UTC
jenkins-1.590-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-21 19:08:50 UTC
jenkins-1.606-1.fc22, jffi-1.2.7-5.fc22, jenkins-executable-war-1.29-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-09-30 16:37:02 UTC
This issue has been addressed in the following products:

  RHEL 6 Version of OpenShift Enterprise 2.2

Via RHSA-2015:1844 https://rhn.redhat.com/errata/RHSA-2015-1844.html

Comment 9 errata-xmlrpc 2016-01-26 19:15:36 UTC
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070